import { BaseTexture, Texture } from "@pixi/core";
import { TextureTransform } from "../../texture/texture-transform";
/**
 * Represents a texture which can have a transform.
 */
export declare class StandardMaterialTexture extends Texture {
    uvSet?: number | undefined;
    /** The transform to use for this texture. */
    transform?: TextureTransform;
    /**
     * Creates a new texture from the specified base texture.
     * @param baseTexture The base texture.
     * @param uvSet The uv set to use (0 or 1).
     */
    constructor(baseTexture: BaseTexture, uvSet?: number | undefined);
}
